Subject: bug#9398: can no longer suspend emacs and get back to the shell

From: [email-masked]
Date: Sat, 03 Sep 2011 05:40:53 +0800

Try this with Debian emacs-snapshot 1:20110902-1 and icewm in an xterm:
$ emacs -Q
Then in emacs hit ^Z
Now we are staring at the calling shell's window.
But we cannot do anything.
This started happening two weeks ago.

The interesting thing is that if one now does ALT TAB twice, switching
back and forth to the shell window again, one can now type ^Z, ^C etc.
like one used to be able to.

So that means this must not be an emacs problem, but instead an icewm or
X windows problem, just like what happens when one exits firefox, one
needs to switch back and forth to regain the ability to type into the
original shell.

In emacs' case the problem occurs when one types ^Z, not at exit though.